﻿<?php

/**
 * @ file					index.php
 * @ package			Mov'AMP-J
 * @ subpackage		Home page interface
 * @ 
 * @ Mov'AMP-J  Interface under license GNU GPL - Papounet.fr 2010-2012
 * @  
 *		Change log : This file
 *		2010-10-24 : Released version 1.5 
 *		2011-02-21 : Released version 1.6
 *		2011-03-14 : Released version 1.6.1 
 *		2012-01-01 : Released version 1.7 : Adding language RU 
 */
  
  // Load versions file
  include("sys_movamp/versions.inc.php");

  // detect user language
  if (!isset($Langue)) {
    $langue = explode(',',$_SERVER['HTTP_ACCEPT_LANGUAGE']);
    $langue = strtolower(substr(chop($langue[0]),0,2));
  }

  // Only for debuging language
  // $langue ="DE"; 
  // $langue ="EN";   
  // $langue ="FR";  
  // $langue ="IT"; 
  // $langue ="NL";  
  // $langue ="PT";  
  // $langue ="PL"; 
	// $langue ="RU";  
  // $langue ="SP";   
  // $langue ="--";  

  // Load the language file
  $filelang = "sys_movamp/language/movamp-j.language-".$langue.".php";
	if ( file_exists ( $filelang )) {
    include("sys_movamp/language/movamp-j.language-".$langue.".php");	    
  } else {
    // if language file missing when using English
    include("sys_movamp/language/movamp-j.language-EN.php");     
  }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $Langue; ?>" lang="<?php echo $Langue; ?>" >
<head>
  <title>Mov'AMP-Joomla!</title>
   <link rel="stylesheet" href="sys_movamp/css/movamp-j.css" type="text/css" />
</head>
<body>
  <!-- ANCRE FOR GO TOP -->
	<a name="go_top"></a><br />
	
  <!-- PAGE -->
  <div id="page">
  
  	<!-- HEADER -->
  	<div id="header">
    	<img id="logo_movamp" src="sys_movamp/images/logo_movamp_64.png" alt="" align="left" />
    	<h1>Mov'AMP-J <span><?php echo $version_Server; ?><span> <strong><?php echo $version_lang; ?></strong></h1>
  		<div><?php echo $header_title; ?><br /><span><?php echo $header_subtitle; ?></span></div>
  	</div><!-- end #header -->
  	
  	<!-- HEADER LINE --> 
  	<div class="bg_line">&nbsp;</div>
  	
  	<!-- RESET FLOAT -->
	<div class="clr"></div>
	
	<!-- TOP MENU -->
  	<div id="top_menu">
		<div><a href="http://www.joomla.org/" target="_blank">Joomla!</a></div>
		<div><a href="http://extensions.joomla.org/" target="_blank">Extensions</a></div>
		<div><a href="http://joomladraft.biz/" target="_blank">Templates</a></div>
		<div><a href="http://docs.joomla.org/" target="_blank">Documentation</a></div>
		<div><a href="http://developer.joomla.org/" target="_blank">Developer</a></div>
		<div><a href="http://api.joomla.org/" target="_blank">API</a></div>
		<div><a href="http://localhost/phpinfo/" target="_blank">PHP info</a></div>
		<div><a href="http://localhost/phpmyadmin/" target="_blank" >phpMyAdmin</a></div>
  		<!-- RESET FLOAT -->
		<div class="clr"></div>
  	</div><!-- end #top_menu -->
    
    <!-- MIDDLE -->
  	<div id="middle">
  		<!-- COLUMN RIGHT -->
  		<div id="column_right">
  			<div id="soft_list">
  				<div class="logo radius">
  					<a href="http://www.apache.org/" target="_blank" alt="http://www.apache.org/">
  						<img src="sys_movamp/images/logo_apache_128.png" width="104" height="44" border="0" hspace="6" /><br />
  						<?php echo $version_Apache; ?>
  					</a>
  				</div>
  				<div class="logo radius">
					  <a href="http://www.joomla.org/" target="_blank" alt="www.joomla.org">
   		        <img src="sys_movamp/images/logo_joomla_64.png" width="44" height="44" border="0" hspace="6" /><br />
					  	<?php echo $version_Joomla; ?>
					  </a>
				  </div>
  				<div class="logo radius">
  					<a href="" target="_blank" alt="">
  						<img src="sys_movamp/images/logo_movamp_64.png" width="44" height="44" border="0" hspace="6" /><br />
  						<?php echo $version_MovAMP; ?>
					</a>
				</div>
  				<div class="logo radius">
					<a href="http://fr.php.net/" target="_blank" alt="fr.php.net">
						<img src="sys_movamp/images/logo_php_128.png" width="66" height="44" border="0" hspace="6" /><br />
						<?php echo $version_PHP; ?>
					</a>
				</div>
  				<div class="logo radius">
					<a href="http://www.phpmyadmin.net/home_page/index.php" target="_blank" alt="www.phpmyadmin.net">
						<img src="sys_movamp/images/logo_phpmyadmin_128.png" width="82" height="44" border="0" hspace="6" /><br />
						<?php echo $version_PhpMyAdmin; ?>
					</a>
				</div>
  				<div class="logo radius">
					<a href="http://www.mysql.com/" target="_blank" alt="www.mysql.com">
						<img src="sys_movamp/images/logo_mysql_128.png" width="94" height="44" border="0" hspace="6" /><br />
						<?php echo $version_MySQL; ?>
					</a>
				</div>
				<!-- RESET FLOAT -->
				<div class="clr"></div>
 			</div>
 			<!-- MODULE JOOMLA INSTRUCTION -->
    		<div class="module radius">
    			<h3 class="radius_top"><?php echo $module_title_joomla; ?></h3>
    			<div>
    				<img src="sys_movamp/images/logo_joomla_64.png" alt="" align="left" width="40" />
					  <div>
						  <?php echo $module_login; ?> : <span>admin</span>&nbsp;&nbsp;&nbsp;
						  <?php echo $module_password; ?> : <span>admin</span><br />
						  <?php echo $module_folder; ?> : <strong><?php echo $path_websites; ?></strong> 
					  </div>
					  <div>
							<div class="radius">
								<?php echo $instruction_joomla; ?>
							</div>
					  </div>
		  		</div> 
			</div><!-- end .module .radius --> 

 			<!-- MODULE BDD INSTRUCTION -->
  		<div class="module radius">
 			  <h3 class="radius_top"><?php echo $module_title_databases; ?></h3>
   			<div>
  				<img src="sys_movamp/images/icon_database.png" alt="" align="left" width="40" />
				  <div>
				    <?php echo $module_login; ?> : <span>joomla</span>&nbsp;&nbsp;&nbsp;
				    <?php echo $module_password; ?> : <span>joomla</span><br />
				    <?php echo $module_folder; ?> : <strong><?php echo $path_database; ?></strong>	
				  </div>	
  		  </div> 
      </div><!-- end .module .raduis --> 
			
			<!-- MODULE USER INFO -->
			<div class="module radius">
				<h3 class="radius_top"><?php echo $user_information; ?></h3>
				<div>
				  <div>
						<div class="radius">
						  <?php echo $translated_by; ?>
						</div>						
						<div class="radius">
						  <?php echo $advertissement_integrator; ?>
						</div>
						<div class="radius">
						  <?php echo $advertissement_warranty; ?>
						</div>
						
				  </div>		
					<div class="align_center">
						<a href="http://www.papounet.fr/" target="_blank">
						  <img src="sys_movamp/images/papounet.fr.png" alt="www.papounet.fr" />
   					</a>
  				</div>
					<div >
						<div class="radius">
						  <?php echo $Good_success; ?><br />I am happy for you!
						</div>
					</div>	
				</div>
			</div><!-- end .module .radius --> 			
		</div><!-- end #column_right -->
		
		<!-- COLUMN LEFT -->
		<div id="column_left">
			
			<!-- COMPONENT USER MESSAGE -->
			<div id="component_message" class="radius">
				<img src='sys_movamp/images/icon_message.png' vspace='5' align='left' width="32" />
				<div>
					<?php echo $component_message; ?>
				</div>
			</div>
			
			<!-- COMPONENT USER NOTICE -->
			<div id="component_notice" class="radius">
				<img src='sys_movamp/images/icon_notice.png' vspace='5' align='left' width="32" />
				<div>
					<?php echo $component_notice_top; ?>
				</div>
			</div>
			
			<!-- COMPONENT CONTENT -->
			<div id="component_content" class="radius">
				<!-- COMPONENT TITLE -->
				<h3 id="componentheading" class="radius_top">
					<?php echo $component_heading; ?>
				</h3>
				<!-- CONTENT -->
				<div id="content">
					<!-- WEBSITES FOLDERS -->
					<?php
						$rep=opendir('.');
						$bAuMoinsUnRepertoire = false;
						while ($file = readdir($rep)){
							if($file != '..' && $file !='.' && $file !=''  && $file !='sys_movamp' && $file !='doc_movamp'){
								if (is_dir($file)){
									$bAuMoinsUnRepertoire = true;
									print("<div class='website_folder radius'>");	
									print("&nbsp;<a href='$file/'alt='$link_title_homepage' title='$link_title_homepage' target='_blank'>");													
									print("<img src='sys_movamp/images/icon_frontpage.png' vspace='5' align='absmiddle' />");	
									print("</a>");													  
									print("&nbsp;<a href='$file/administrator/'alt='$link_title_administrator' title='$link_title_administrator' target='_blank'>");														
									print("<img src='sys_movamp/images/icon_administrator.png' vspace='5' align='absmiddle' />");
									print("</a>");	
									print("&nbsp;<span title='$link_clic_icons'>$file</span>");	
									print("</div>");
								}
							}
						}
						if ($bAuMoinsUnRepertoire == false) {
							print("<table border='0' cellspacing='4' cellpadding='4' width='100%' style='padding-bottom:6px;'>");
							print("<tr>");
							print("<td nowrap class='text1'>");
							print("<div align='center'>-&nbsp; $component_no_dir &nbsp;-</div>");
							print("</td>");
							print("</td></tr></table>");
						}
						closedir($rep);
						clearstatcache();
					?>
				</div><!-- end #content -->
			</div><!-- end #component_content -->
		</div><!-- end #column_left -->
		
  		<!-- RESET FLOAT -->
		<div class="clr"></div>
  	</div><!-- end #header -->

  	<!-- FOOTER LINE --> 
  	<div class="bg_line">&nbsp;</div>    
    
    <!-- FOOTER -->
    <div id="footer">
    <a href="#go_top"><img src='sys_movamp/images/icon_go_top.png' vspace='5' align='left' /></a>
    <a href="#go_top"><img src='sys_movamp/images/icon_go_top.png' vspace='5' align='right' /></a>
    <?php echo $footer_powered; ?> <a hef="http://fr.wikipedia.org/wiki/Mov%27AMP">Mov'AMP</a> - &copy; Atmaniak 2007<br />
		<a href="http://www.joomla.org/" target="_blank">Joomla!</a> Open Source <?php echo $footer_soft_free; ?> <a href="http://www.gnu.org/licenses/old-licenses/gpl-2.0.html#SEC1" target="blank">GNU General Public License</a> - &copy; <a href="http://opensourcematters.org/" target="_blank">Open Source Matters</a> 2005-<?php echo date("Y"); ?><br />
		<?php echo $footer_design_adaptation; ?> Jean-Louis Servais aka <a href="http://www.papounet.fr">Papounet</a> <?php echo $footer_under_license; ?> <a href="http://www.gnu.org/licenses/old-licenses/gpl-2.0.html#SEC1" target="blank">GNU GPL</a>- &copy; <a href="http://www.papounet.fr/" target="_blank">Papounet.fr</a> 2005-<?php echo date("Y"); ?><br />
    </div><!-- end #footer -->  
  
  
  </div><!--end #page -->

  <!-- I am happy for you - Papounet - Joomladraft.com -->
  
</body>
</html>
